## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate xkbcommon

Name:           rust-xkbcommon0.4
Version:        0.4.1
Release:        %autorelease
Summary:        Rust bindings and wrappers for libxkbcommon

License:        MIT
URL:            https://crates.io/crates/xkbcommon
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused x11 feature (missing dependencies)
# * drop "quick-evdev" example (missing dependency "evdev")
Patch:          xkbcommon-fix-metadata.diff
# Fix compilation of doctests
Patch:          https://github.com/rust-x-bindings/xkbcommon-rs/commit/bea7f209.patch#/xkbcommon-0.4.1-fix-doctests.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings and wrappers for libxkbcommon.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       libxkbcommon-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+memmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+memmap-devel %{_description}

This package contains library source intended for building other packages which
use the "memmap" feature of the "%{crate}" crate.

%files       -n %{name}+memmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wayland-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wayland-devel %{_description}

This package contains library source intended for building other packages which
use the "wayland" feature of the "%{crate}" crate.

%files       -n %{name}+wayland-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# requires missing dependency "evdev"
rm -f examples/quick-evdev.rs

%generate_buildrequires
%cargo_generate_buildrequires
echo 'libxkbcommon-devel'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 22 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.4.1-1
- Initial import (xkbcommon 0.4 compat package)
## END: Generated by rpmautospec
